DateInterval::format
DatePeriod::__construct
Date/Time
PHP Manual

# The DatePeriod class

(PHP 5 >= 5.3.0)

## Introduction

Represents a date period.

A date period allows iteration over a set of dates and times, recurring at regular intervals, over a given period.

## Class synopsis

DatePeriod implements Traversable {
/* Constants */
const integer EXCLUDE_START_DATE = 1 ;
/* Methods */
public __construct ( DateTime `$start` , DateInterval `$interval` , int `$recurrences` [, int `$options` ] )
public __construct ( DateTime `$start` , DateInterval `$interval` , DateTime `$end` [, int `$options` ] )
public __construct ( string `$isostr` [, int `$options` ] )
}

## Predefined Constants

`DatePeriod::EXCLUDE_START_DATE`

  Exclude start date, used in DatePeriod::__construct().

## Table of Contents

- DatePeriod::__construct — Creates a new DatePeriod object

DateInterval::format
DatePeriod::__construct
Date/Time
PHP Manual